/* 
** rum cache manager, davfsd  
** Copyright (C) 2001 SungHun Kim <hunkim@kebi.com>
**
** This library and program is free software; you can redistribute it and/or
** modify it under the terms of the GNU Library General Public
** License as published by the Free Software Foundation; either
** version 2 of the License, or (at your option) any later version.
**   
** This library is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
** Library General Public License for more details.
**
** You should have received a copy of the GNU Library General Public
** License along with this library; if not, write to the Free
** Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
** MA 02111-1307, USA
*/

#include <stdio.h>
#include <string.h>
#include <unistd.h>

char *davfsd[] = {
  "/usr/sbin/davfsd",
  "/usr/local/sbin/davfsd",
  NULL
};

int run_davfsd(void)
{
  int i;
  for (i = 0; davfsd[i]; i++) {
    if (access(davfsd[i], X_OK) != -1) {
      if (fork() == 0) {
	execl(davfsd[i], "davfsd", NULL);
      } else {
	sleep(1);
	return 1;
      }
    }
  }

  perror("davfsd");
  return 0;
}
